
From: Lennert Buytenhek <buytenh@marvell.com>
Subject: fedora-release: point to ARM repos for ARM build

When building fedora-release for the unofficial ARM architecture,
point the various yum repo config files to the unofficial ARM package
repositories.

Signed-off-by: Lennert Buytenhek <buytenh@marvell.com>

Index: SPECS/fedora-release.spec
===================================================================
--- SPECS.orig/fedora-release.spec
+++ SPECS/fedora-release.spec
@@ -4,11 +4,12 @@
 Summary:	Fedora release files
 Name:		fedora-release
 Version:	8
-Release:	5
+Release:	5.fa1
 License:	GPLv2
 Group:		System Environment/Base
 URL:		http://fedoraproject.org
 Source:		%{name}-%{version}.tar.gz
+Patch0:		fedora-release-8-arm-repos.diff
 Obsoletes:	redhat-release
 Provides:	redhat-release
 Provides:	system-release = %{version}-%{release}
@@ -25,6 +26,7 @@ define the release.
 
 %prep
 %setup -q
+%patch0 -p1
 
 %build
 
@@ -39,20 +41,24 @@ echo >> $RPM_BUILD_ROOT/etc/issue
 ln -s fedora-release $RPM_BUILD_ROOT/etc/redhat-release
 ln -s fedora-release $RPM_BUILD_ROOT/etc/system-release
 
+%ifnarch %{arm}
 install -d -m 755 $RPM_BUILD_ROOT/etc/pki/rpm-gpg
 for file in RPM-GPG-KEY* ; do
 	install -m 644 $file $RPM_BUILD_ROOT/etc/pki/rpm-gpg
 done
+%endif
 
 install -d -m 755 $RPM_BUILD_ROOT/etc/yum.repos.d
 for file in fedora*repo ; do
   install -m 644 $file $RPM_BUILD_ROOT/etc/yum.repos.d
 done
 
+%ifnarch %{arm}
 install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/%{name}
 for file in compose/*; do
   install -m 644 $file $RPM_BUILD_ROOT/%{_datadir}/%{name}
 done
+%endif
 
 # Set up the dist tag macros
 install -d -m 755 $RPM_BUILD_ROOT/etc/rpm
@@ -78,10 +84,12 @@ rm -rf $RPM_BUILD_ROOT
 %config(noreplace) %attr(0644,root,root) /etc/issue
 %config(noreplace) %attr(0644,root,root) /etc/issue.net
 %config %attr(0644,root,root) /etc/rpm/macros.dist
+%ifnarch %{arm}
 %dir %{_datadir}/%{name}
 %{_datadir}/%{name}/*
 %dir /etc/pki/rpm-gpg
 /etc/pki/rpm-gpg/*
+%endif
 
 %changelog
 * Wed Dec 12 2007 Jesse Keating <jkeating@redhat.com> - 8-5
